package jp.ossc.petstore.dao.impl;

import jp.ossc.petstore.dao.IOrderDAO;
import jp.ossc.petstore.dao.impl.BaseDAO;
import jp.ossc.petstore.model.Order;
import jp.ossc.petstore.model.Customer;

/**
 * 注文情報テーブルアクセスクラス
 * @author ossc
 * @version $Revision: 1.2 $
 */
public class OrderDAO extends BaseDAO implements IOrderDAO {

	/* (非 Javadoc)
	 * @see jp.ossc.petstore.dao.IOrderDAO#insertOrder(jp.ossc.petstore.model.Customer)
	 */
	public Order insertOrder(Customer customer) {
		
		Order order = new Order(null, customer);
		getHibernateTemplate().save(order);
		
		return order;
	}

}
